Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface ClientModule

    org.gradle.api.artifacts.ModuleDependency
      org.gradle.api.artifacts.ExternalDependency
          org.gradle.api.artifacts.ClientModule
              org.gradle.api.artifacts.Dependency

All Superinterfaces:
  ModuleDependency, ExternalDependency, Dependency

    interface ClientModule
    extends ExternalDependency

To model a module in your dependency declarations. Usually you can either declare a single dependency artifact or you declare a module dependency that depends on a module descriptor in a repository. With a client module you can declare a module dependency without the need of a module descriptor in a remote repository.

author:
  Hans Dockter

Field Summary
`java.lang.String` | `CLIENT_MODULE_KEY`

Method Summary
`void` | `addDependency(ModuleDependency dependency)` Add a dependency to the client module.
`ClientModule` | `copy()` {
`Set` | `getDependencies()` Returns all the dependencies added to the client module.
`java.lang.String` | `getId()` Returns the id of the client module.

Methods inherited from interface ExternalDependency
copy, isForce, setForce

Methods inherited from interface ModuleDependency
addArtifact, copy, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Field Detail

### CLIENT_MODULE_KEY

    java.lang.String CLIENT_MODULE_KEY

Method Detail

### addDependency

    public void addDependency(ModuleDependency dependency)

  Add a dependency to the client module. Such a dependency is transitive dependency for the project that has a dependency on the client module.
  param:
    dependency The dependency to add to the client module.
  see:
    #getDependencies()

### copy

    public ClientModule copy()

  {@inheritDoc}

### getDependencies

    public Set getDependencies()

  Returns all the dependencies added to the client module.
  see:
    #addDependency(ModuleDependency)

### getId

    public java.lang.String getId()

  Returns the id of the client module. This is usually only used for internal handling of the client module.
  return:
    The id of the client module

Groovy Documentation